linux: 3.5.0-25.38 -proposed tracker

Bug #1129472 reported by Luis Henriques on 2013-02-18
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-lbm
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Quantal
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-25.38 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 18. February 2013 21:00 UTC
kernel-stable-Prepare-package-end:Tuesday, 19. February 2013 19:10 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 19. February 2013 19:10 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 19. February 2013 21:00 UTC
kernel-stable-Verification-testing-start:Tuesday, 19. February 2013 22:03 UTC
kernel-stable-Verification-testing-end:Wednesday, 20. February 2013 10:00 UTC
kernel-stable-Certification-testing-start:Wednesday, 20. February 2013 10:01 UTC
kernel-stable-Security-signoff-start:Wednesday, 20. February 2013 10:01 UTC
kernel-stable-Regression-testing-start:Wednesday, 20. February 2013 10:01 UTC
kernel-stable-Certification-testing-end:Wednesday, 20. February 2013 16:01 UTC
kernel-stable-Security-signoff-end:Thursday, 21. February 2013 00:01 UTC
kernel-stable-Promote-to-updates-end:Friday, 22. February 2013 00:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 22. February 2013 01:01 UTC

CVE References

Luis Henriques (henrix) on 2013-02-18
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → Invalid
tags: added: quantal
Changed in kernel-sru-workflow:
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Luis Henriques (henrix) on 2013-02-18
summary: - linux: 3.5.0-24.38 -proposed tracker
+ linux: 3.5.0-25.38 -proposed tracker
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1130311
linux-armadaxp - bug 1130314
linux-lowlatency - bug 1130315

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-quantal (precise) - bug 1130317

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and -signed ushered through.

Brad Figg (brad-figg) on 2013-02-19
description: updated
Brad Figg (brad-figg) on 2013-02-19
description: updated
Luis Henriques (henrix) wrote :

No SRUs to verify.

Brad Figg (brad-figg) on 2013-02-20
description: updated
Luis Henriques (henrix) wrote :

Exceptionally, we're not waiting for the regression testing this cycle.

Brad Figg (brad-figg) on 2013-02-20
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-02-21
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-25.38

---------------
linux (3.5.0-25.38) quantal-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1129472

  [ Upstream Kernel Changes ]

  * ptrace: introduce signal_wake_up_state() and ptrace_signal_wake_up()
    - LP: #1119885, #1129192
    - CVE-2013-0871
  * ptrace: ensure arch_ptrace/ptrace_request can never race with SIGKILL
    - LP: #1119885, #1129192
    - CVE-2013-0871
  * wake_up_process() should be never used to wakeup a TASK_STOPPED/TRACED
    task
    - LP: #1119885, #1129192
    - CVE-2013-0871
 -- Luis Henriques <email address hidden> Mon, 18 Feb 2013 21:57:04 +0000

Changed in linux (Ubuntu Quantal):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Brad Figg (brad-figg) on 2013-02-22
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers